Statistics and logs
All operations require authentication.
List own logsProduction
List own logs. Returns the IDs of the own logs of the hosting, which separate the logs and statistics of a domain. Filter them by FQDN.
Path parameters
The internal name of your hosting
Query parameters
Filter the value of fqdn property (like)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ ownLogs \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get own logsProduction
Get own logs. Returns the FQDN, logs URL, statistics URL and status of the own logs, which separate the logs and statistics of a domain.
Path parameters
Id of the object
The internal name of your hosting
Response
The ownlogs fqdn available on logs.clusterXX.hosting.ovh.net
Identifier of this ownLogs
URL to access this ownLogs logs
URL to access this ownLogs stats
Status of this ownLogs
createdcreatingdeletingThe task ID working on this ownLogs
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ ownLogs/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "fqdn": "string", "id": 0, "logs": "string", "stats": "string", "status": "created", "taskId": 0}
List log usersProduction
List log users. Returns the logins of the users allowed to access the logs interface. Filter them by login.
Path parameters
Id of the object
The internal name of your hosting
Query parameters
Filter the value of login property (like)
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ ownLogs/ {id}/ userLogs \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a log userProduction
Get a log user. Returns the login, description, status and creation date of the log user, and the own logs it can access.
Path parameters
Id of the object
The userLogs login used to connect to logs.ovh.net
The internal name of your hosting
Response
Date of the user creation
Description field for you
The userLogs login used to connect to logs.ovh.net
OwnLogs where this userLogs will be enable. Default : main domain ownlogs
Status of this userLogs
createdcreatingdeletingupdatingThe task ID working on this userLogs
Example uses id = 0, login = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ ownLogs/ {id}/ userLogs/ {login} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "description": "string", "login": "string", "ownLogsId": 0, "status": "created", "taskId": 0}
Get statisticsProduction
Get statistics. Returns one statistic of the hosting over a period: HTTP hits, mean response time, FTP commands, outgoing TCP connections, CPU usage or worker overload.
Path parameters
The internal name of your hosting
Query parameters
Available periods for statistics
dailymonthlyweeklyyearlyTypes of statistics available for the web hosting
in.ftpCommandsin.httpHitsin.httpMeanResponseTimeout.tcpConnsys.cpuUsagesys.workerSpawnOverloadResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ statistics \
-H "authorization: Bearer $OVH_TOKEN"[ { "serieName": "string", "unit": "string", "values": [ { "timestamp": 0, "value": 0 } ] }]
List log usersDeprecated
Deprecated since Nov 2, 2023, will be removed on Feb 29, 2024 — use /hosting/web/{serviceName}/ownLogs/{id}/userLogs instead.
List log users. Returns the logins of the users allowed to access the logs interface. Filter them by login.
Path parameters
The internal name of your hosting
Query parameters
Filter the value of login property (like)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ userLogs \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a log userDeprecated
Deprecated since Nov 2, 2023, will be removed on Feb 29, 2024 — use /hosting/web/{serviceName}/ownLogs/{id}/userLogs/{login} instead.
Get a log user. Returns the login, description, status and creation date of the log user, and the own logs it can access.
Path parameters
The userLogs login used to connect to logs.ovh.net
The internal name of your hosting
Response
Date of the user creation
Description field for you
The userLogs login used to connect to logs.ovh.net
OwnLogs where this userLogs will be enable. Default : main domain ownlogs
Status of this userLogs
createdcreatingdeletingupdatingThe task ID working on this userLogs
Example uses login = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ userLogs/ {login} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "description": "string", "login": "string", "ownLogsId": 0, "status": "created", "taskId": 0}
Get a logs interface tokenProduction
Get a logs interface token. Returns a temporary token to access the logs interface. Set its lifetime in seconds with ttl, its scope with attachedDomain, and remoteCheck to limit it to the caller IP.
Path parameters
The internal name of your hosting
Query parameters
Specific attached domain to be included in the scope of your token
Whether to limit the use of the token to the remote IPv4 of API caller
Expiration of your token (in seconds)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ userLogsToken \
-H "authorization: Bearer $OVH_TOKEN""string"
Create a log userProduction
Create a log user. Creates a user allowed to access the logs interface. Without ownLogsId, the user accesses the logs of the main domain.
Path parameters
Id of the object
The internal name of your hosting
Request body (required)
Description field for you
The userLogs login used to connect to logs.ovh.net
OwnLogs where this userLogs will be enable. Default : main domain ownlogs
The new userLogs password
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ ownLogs/ {id}/ userLogs \
-H "authorization: Bearer $OVH_TOKEN""string"
Change a log user passwordProduction
Change a log user password. Changes the password the log user enters to access the logs interface at logs.ovh.net.
Path parameters
Id of the object
The userLogs login used to connect to logs.ovh.net
The internal name of your hosting
Request body (required)
The new userLogs password
Response
Example uses id = 0, login = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ ownLogs/ {id}/ userLogs/ {login}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN""string"
Create a log userDeprecated
Deprecated since Nov 2, 2023, will be removed on Feb 29, 2024 — use /hosting/web/{serviceName}/ownLogs/{id}/userLogs instead.
Create a log user. Creates a user allowed to access the logs interface. Without ownLogsId, the user accesses the logs of the main domain.
Path parameters
The internal name of your hosting
Request body (required)
Description field for you
The userLogs login used to connect to logs.ovh.net
OwnLogs where this userLogs will be enable. Default : main domain ownlogs
The new userLogs password
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ userLogs \
-H "authorization: Bearer $OVH_TOKEN""string"
Change a log user passwordDeprecated
Deprecated since Nov 2, 2023, will be removed on Feb 29, 2024 — use /hosting/web/{serviceName}/ownLogs/{id}/userLogs/{login} instead.
Change a log user password. Changes the password the log user enters to access the logs interface at logs.ovh.net.
Path parameters
The userLogs login used to connect to logs.ovh.net
The internal name of your hosting
Request body (required)
The new userLogs password
Response
Example uses login = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ userLogs/ {login}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete a log userProduction
Delete a log user. Deletes the log user, who can no longer access the logs interface at logs.ovh.net with its login.
Path parameters
Id of the object
The userLogs login used to connect to logs.ovh.net
The internal name of your hosting
Response
Example uses id = 0, login = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ ownLogs/ {id}/ userLogs/ {login} \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete a log userDeprecated
Deprecated since Nov 2, 2023, will be removed on Feb 29, 2024 — use /hosting/web/{serviceName}/ownLogs/{id}/userLogs/{login} instead.
Delete a log user. Deletes the log user, who can no longer access the logs interface at logs.ovh.net with its login.
Path parameters
The userLogs login used to connect to logs.ovh.net
The internal name of your hosting
Response
Example uses login = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ userLogs/ {login} \
-H "authorization: Bearer $OVH_TOKEN""string"
Update a log userProduction
Update a log user. Updates the description of the log user. The login and the own logs it can access cannot be changed.
Path parameters
Id of the object
The userLogs login used to connect to logs.ovh.net
The internal name of your hosting
Request body (required)
Date of the user creation
Description field for you
The userLogs login used to connect to logs.ovh.net
OwnLogs where this userLogs will be enable. Default : main domain ownlogs
Status of this userLogs
createdcreatingdeletingupdatingThe task ID working on this userLogs
Response
Example uses id = 0, login = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ ownLogs/ {id}/ userLogs/ {login} \
-H "authorization: Bearer $OVH_TOKEN"Update a log userDeprecated
Deprecated since Nov 2, 2023, will be removed on Feb 29, 2024 — use /hosting/web/{serviceName}/ownLogs/{id}/userLogs/{login} instead.
Update a log user. Updates the description of the log user. The login and the own logs it can access cannot be changed.
Path parameters
The userLogs login used to connect to logs.ovh.net
The internal name of your hosting
Request body (required)
Date of the user creation
Description field for you
The userLogs login used to connect to logs.ovh.net
OwnLogs where this userLogs will be enable. Default : main domain ownlogs
Status of this userLogs
createdcreatingdeletingupdatingThe task ID working on this userLogs
Response
Example uses login = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ userLogs/ {login} \
-H "authorization: Bearer $OVH_TOKEN"